﻿@model IEnumerable<CrudOnStudent.Models.StudentInfo>

@{
    ViewData["Title"] = "Index";
}

<h1>Index</h1>

<p>
    <a asp-action="Create">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.StudentName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Address)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.CourseId)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.StudentName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Address)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.CourseId)
            </td>
            <td>
                <a asp-action="Edit" asp-route-id="@item.StudentId">Edit</a> |
                <a asp-action="Details" asp-route-id="@item.StudentId">Details</a> |
                <a asp-action="Delete" asp-route-id="@item.StudentId">Delete</a>
            </td>
        </tr>
}
    </tbody>
</table>
